#ifndef tttdisp_h_included  
#define tttdisp_h_included  
/******************************************************************************
*                         ** Company Confidential **
*                  ** Copyright 1994, All rights Reserved **
* %Z%%M% version %I% date:%G%
******************************************************************************/

// -MQBeg- [Module_Includes] [tttdisp_h] <00000017.00000000> Retained!
// -MQEnd- [Module_Includes] [tttdisp_h] <00000017.00000000> 

// -MQBeg- [Module_Declarations_1] [tttdisp_h] <00000017.00000000> Retained!
// -MQEnd- [Module_Declarations_1] [tttdisp_h] <00000017.00000000> 

// -MQBeg- [Class_Spec] [TTT_Display] <00000000.00000005> 
/******************************************************************************
TTT_Display:
Abstract display for Tic Tac Toe.
******************************************************************************/
class TTT_Display 
{
// -MQBeg- [Declarations_1] [TTT_Display] <00000000.00000005> Retained!
// -MQEnd- [Declarations_1] [TTT_Display] <00000000.00000005> 
public:
  TTT_Display(TTT_Engine *Engine);
  // Update the display.
  void Update();
  // Override to display welcome message.
  virtual void DisplayWelcomeMsg() = 0;
  // Override to display "Illegal Move".
  virtual void DisplayIllegalMove() = 0;
  // Override to display "You Win".
  virtual void DisplayYouWin() = 0;
  // Override to display "You Lose".
  virtual void DisplayYouLose() = 0;
  // Override to display "Draw".
  virtual void DisplayDraw() = 0;
protected:
  // Override to clear the display.
  virtual void ClearDisplay() = 0;
  // Override to display 'X', 'O', or space at row and col.
  virtual void DisplayMove(int Row, int Col, char Move) = 0;
private:
  // Display user and computer boards.
  void DisplayBoards(int UserBoard, int CompBoard);
private:
  TTT_Engine *theEngine; 
// -MQBeg- [Declarations_2] [TTT_Display] <00000000.00000005> Retained!
// -MQEnd- [Declarations_2] [TTT_Display] <00000000.00000005> 
};

// -MQEnd- [Class_Spec] [TTT_Display] <00000000.00000005> 

// -MQBeg- [Module_Declarations_2] [tttdisp_h] <00000017.00000000> Retained!
// -MQEnd- [Module_Declarations_2] [tttdisp_h] <00000017.00000000> 

#endif
